.background-wrapper {
    background-image: url("https://www.zastavki.com/pictures/originals/2021Girls___Beautyful_Girls_Smiling_girl_with_sweets_in_palms_on_blue_background_150511_.jpg");
    background-position: 0 -50px;
    background-size: cover;
    height: 610px;
    width: 100%;
    background-repeat: no-repeat;

    @media screen and (max-width: 360px) {
        height: 480px;
        background-position: -200px 0px;
    }
}

.hero-text-box {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 464px;
    font-weight: bold;
    font-size: 40px;
    line-height: 90px;
    color: $color-white;

    @media screen and (max-width: 360px) {
        display: none;
    }
}

.upper-container {
    background-color: $color-white;
    height: 24px;
    width: 100%;
    position: relative;
    white-space: nowrap;

    .central-text {
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
        height: 17px;
        top: calc(50% - 17px/2 + 0.5px);
        font-weight: 500;
        font-size: 11px;
        line-height: 16px;
        color: $color-black;
    }

    .our-stores {
        position: absolute;
        height: 15px;
        right: 24px;
        top: calc(50% - 15px/2);
        font-size: 10px;
        line-height: 15px;
        color: $color-black;

        i {
            margin-right: 5px;
            font-size: 12px;
        }
    }

    @media screen and (max-width: 360px) {
        display: none;
    }
}


.logo-box {
    .logo-text {
        margin-top: 20px;
        height: 57px;
        padding-left: 24px; 
        left: 1.67%;
        right: 88.54%;
        top: calc(50% - 57px/2 - 13.5px);
        font-weight: bold;
        font-size: 38px;
        line-height: 57px;
        letter-spacing: 0.95px;
        color: $color-white; 
        text-shadow: 0px 2px 4px rgba($color-black, 0.08);
    }
}

.navigation-container {
   display: flex;
   justify-content: space-between;

    @media screen and (max-width: 360px) {
        display: none;
    }
} 

.navigation-container-mobile {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 16px 0;

    .logo-text-mobile {
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
        color: $color-white;
        font-size: 30px;
    }

    i {
        color: white;
        font-size: 20px;

        &.fa-search {
            margin-left: 10px;
        }
    }

    @media screen and (min-width: 361px) {
        display: none;
    }
}

.central-container {
    font-weight: 600;
    font-size: 13px;
    line-height: 19px;
    text-align: center;
    letter-spacing: 1px;
    text-transform: uppercase;
    text-shadow: 0px 2px 4px rgba($color-black, 0.12);

    .main-nav {
        list-style: none;
        display: flex;
        justify-content: space-between;
        padding-left: 0;
        margin-top: 24px;

        li {
            margin-right: 32px;

            &:last-of-type {
                margin-right: 0;
            }

            a {
                text-decoration: none;
                color: $color-white;
            }       
        }
    }

    @media screen and (max-width: 360px) {
        display: none;
    }
}

.search-field {
    margin: 24px auto 0;
    position: relative;
    width: 584px;

    button {
        background: transparent;
        border: none;
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        right: 15px;
        color: $color-white;
        font-size: 18px;
    }

    input {
        width: 100%;
        text-indent: 16px;
        height: 48px;
        border-radius:3px;
        border: none;
        background-color: rgba($color-white, 0.24);
        color: $color-white;
        outline: none;

        &::placeholder {
            color: $color-white;
        }
    }
}

.sign-in {  
    display: flex;
    width: 150px;
    height: 80px;
    justify-content: space-between;
    align-items: center;
    font-weight: 600;
    font-size: 11px;
    line-height: 16px;
    text-align: right;
    letter-spacing: 1px;
    margin-right: 24px;

    a {
        color: $color-white;
        text-decoration: none;
    }

    .separator {
        height: 12px;
        width: 1px;
        background: $color-white;
    }

    .shopping-bag i {
        color: $color-white;
        font-size: 18px;
    }
}



